<?php
session_start();
ob_start();
include "config/define.php";
include "config/conecta.php";
include "config/classes.php";
include "public/funcoes.php";


$estado = UtilObjeto::listar("estado","WHERE sigla = '".$_POST['estado']."' ");
$estado = current($estado);

$cidade = trim($_POST['cidade']);

$lista = UtilObjeto::listar("cidade","WHERE id_estado = '".$estado['id']."'  ORDER BY nome");
if (!$lista) {
    $html = "<option value=''>Erro ao carregar cidades</option>";
} else {
    $html = "<option value=''></option>";
    foreach ($lista as $id => $dados) {
        $selCidade = (ucwords(strtolower($dados['nome'])) == $cidade) ? "selected" : "";
        $html .= '<option value="'.$id.'" '.$selCidade.'>'.ucwords(strtolower($dados['nome'])).'</option>';
    }
}

echo $html;
?>